Get all Reminders
curl --request GET \
--url https://api.affinity.co/v2/reminders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/reminders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/reminders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"content": "Follow up about the funding round",
"dueDate": "2026-06-01T17:00:00Z",
"creator": {
"id": 1
},
"owner": {
"id": 1
},
"completer": {
"id": 1
},
"company": {
"id": 1
},
"person": {
"id": 1
},
"opportunity": {
"id": 1
},
"createdAt": "2023-01-01T00:00:00Z",
"updatedAt": "2023-01-01T00:00:00Z",
"type": "one-time",
"status": "active",
"completedAt": "2023-01-01T00:00:00Z",
"recurrence": null
}
],
"pagination": {
"prevUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgYmVmb3JlOjo6Nw",
"nextUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgIGFmdGVyOjo6NA",
"totalCount": 42
}
}{
"errors": [
{
"code": "bad-request",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "not-found",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authentication",
"message": "<string>"
}
]
}Reminders
Get all Reminders
Returns a page of Reminders visible to the caller.
You can filter reminders using the filter query parameter. The filter parameter is a string
that you can specify conditions based on the following properties.
| Property Name | Type | Allowed Operators | Examples |
|---|---|---|---|
id | int64 | = | id=1|id=2|id=3 |
type | enum | = | type=one-time, type=recurring |
status | enum | = | status=active, status=overdue, status=completed |
resetTrigger | enum | = | resetTrigger=interaction, resetTrigger=email, resetTrigger=event |
dueDate | datetime | >, <, >=, <= | dueDate>=2026-01-01T00:00:00Z |
completedAt | datetime | >, <, >=, <= | completedAt=2026-01-01T00:00:00Z |
createdAt | datetime | >, <, >=, <= | createdAt>=2026-01-01T00:00:00Z |
updatedAt | datetime | >, <, >=, <= | updatedAt>=2026-01-01T00:00:00Z |
owner.id | int64 | =, != | owner.id=1|owner.id=2, owner.id!=3 |
creator.id | int64 | = | creator.id=1 |
completer.id | int64 | = | completer.id=1 |
company.id | int64 | = | company.id=42 |
person.id | int64 | = | person.id=42 |
opportunity.id | int64 | = | opportunity.id=42 |
Results are ordered by dueDate ascending (soonest-due first).
GET
/
v2
/
reminders
Get all Reminders
Authorizations
A static Affinity API key, presented as a bearer token.
Query Parameters
Include total count of the collection in the pagination response
Cursor for the next or previous page
Example:
"ICAgICAgYmVmb3JlOjo6Nw"
Number of items to include in the page
Required range:
1 <= x <= 100Example:
100
Filter options
Response
OK
A page of Reminder objects.
A page of Reminder objects.
Maximum array length:
100A reminder that fires once on dueDate.
- reminders.OneTimeReminder
- reminders.RecurringReminder
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?